{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}

<div class="intro-section single-cover" id="home-section">

      <div class="slide-1" style="background-image: url('{{ imagen_url }}');" data-stellar-background-ratio="0.5">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-12">
              <div class="row justify-content-center align-items-center text-center">
                <div class="col-lg-6">
                  <h1 data-aos="fade-up" data-aos-delay="0">Editar Carreras</h1>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>



<!-- <center> -->
    <div class="site-section center">
      <div class="container ">
       <div class="row ">
           <div class="col-sm-12 col-xl-12">
               <div class="bg-secondary rounded h-100 p-4">
                 <form class="" method="post" action="{% url 'actualizarCarrera' %}" enctype="multipart/form-data" id="frm_carrera">
                         {% csrf_token %}
                         <input type="hidden" name="id"  value="{{carreraEditar.idCarreradcp}}">

                         <div class="mb-3">
                             <label for="nombre" class="form-label">Nombre:</label>
                             <input type="text" class="form-control" id="nombre" name="nombre"  value="{{carreraEditar.nombreCarreradcp}}" required >
                         </div>

                         <div class="mb-3">
                             <label for="director" class="form-label">Director:</label>
                             <input type="text" class="form-control" id="director" name="director" value="{{carreraEditar.directorCarreradcp}}" required >
                         </div>

                         <div class="mb-3">
                             <label for="logo" class="form-label">Seleccione el logo:</label>

                                 <input type="file" id="logo" name="logo" class="form-control" accept="image/*">
                             </div>

                             <script>
                                 // Javascript para actualizar la imagen al cargar la página
                                 document.addEventListener('DOMContentLoaded', function () {
                                     var imgSrc = "{{ carreraEditar.logoCarreradcp.url }}";
                                     var imagenPreview = document.getElementById('imagen-preview');
                                     // Verificar si la imagen existe y es válida
                                     if (imgSrc) {
                                         imagenPreview.src = imgSrc;
                                     }
                                 });
                             </script>


                         <div class="mb-3">
                             <label for="duracion_anios" class="form-label">Duración (años):</label>
                             <input type="number" class="form-control" id="duracion_anios" name="duracion_anios" value="{{carreraEditar.duracion_aniosCarreradcp |floatformat:"0"}}" required >
                         </div>

                         <div class="form-group">
                             <button type="submit" class="btn btn-warning btn-pill">Actualizar Carrera</button>
                         </div>
                     </form>

               </div>
           </div>
          </div>
          <!-- </center> -->
<script type="text/javascript">
  $("#frm_carrera").validate({
    rules: {
      nombre: {
        required: true,
        lettersonly: true // Custom validation rule for letters only
      },
      director: {
        required: true,
        directorName: true // Custom validation rule for director name
      },
      logo: {
        extension: "png|jpg|jpeg|gif" // Allowed image file extensions
      },
      duracion_anios: {
        required: true,
        digits: true,
        range: [1, 15] // Duracion should be between 1 and 15 years
      }
    },
    messages: {
      nombre: {
        required: "Por favor, introduce el nombre",
        lettersonly: "Por favor, introduce solo letras en el nombre"
      },
      director: {
        required: "Por favor, introduce el nombre del director",
        directorName: "Por favor, introduce al menos un nombre y un apellido para el director"
      },
      logo: {
        extension: "Por favor, selecciona un archivo de imagen con una extensión válida (png, jpg, jpeg, gif)"
      },
      duracion_anios: {
        required: "Por favor, introduce la duración en años",
        digits: "Por favor, introduce solo números enteros",
        range: "Por favor, introduce un valor entre 1 y 15"
      }
    },
    submitHandler: function(form) {
      form.submit();
    },
    highlight: function (element, errorClass, validClass) {
      // Añade clases de Bootstrap para resaltar errores
      $(element).addClass("is-invalid").removeClass("is-valid");
    },
    unhighlight: function (element, errorClass, validClass) {
      // Añade clases de Bootstrap cuando no hay errores
      $(element).removeClass("is-invalid").addClass("is-valid");
    },
  });

  // Custom validation rule for letters only
  $.validator.addMethod("lettersonly", function(value, element) {
    return /^[a-zA-ZáéíóúüñÁÉÍÓÚÜÑ\s]+$/.test(value);
  }, "Por favor, introduce solo letras");

  // Custom validation rule for director name
  $.validator.addMethod("directorName", function(value, element) {
    return /^[a-zA-ZáéíóúüñÁÉÍÓÚÜÑ]+\s[a-zA-ZáéíóúüñÁÉÍÓÚÜÑ]+$/.test(value);
  }, "Por favor, introduce al menos un nombre y un apellido para el director");

</script>
{% endblock %}
